
#ifndef ANSITAPE_H
#define ANSITAPE_H

#define BLOCKSIZE 8192

typedef struct AnsiTapeS {
	int fd;

	unsigned int bufferFull;
	unsigned long bytesWritten;
	char buf[BLOCKSIZE];

	const char *filename;
	int fileSeqNum;
}

AnsiTape;

AnsiTape *openAnsiTape(const char *, const char *);

int writeAnsiTape(AnsiTape *, const char *, size_t);
int closeAnsiTape(AnsiTape *);

#endif
