
#include <ctype.h>

#include "ansiTapeChar.h"

char *ansichar(char *s, int length)
{
	int i, end = 0;
	for (i = 0; i < length; i++) {
		if (end == 0) {
			if (isupper(s[i]) || isdigit(s[i])) {
			} else if (islower(s[i])) {
				s[i] = toupper(s[i]);
			} else {
				switch (s[i]) {
				case (' '):
				case ('!'):
				case ('"'):
				case ('%'):
				case ('&'):
				case ('\''):
				case ('('):
				case (')'):
				case ('*'):
				case ('+'):
				case (','):
				case ('-'):
				case ('_'):
				case ('.'):
				case ('/'):
				case (':'):
				case (';'):
				case ('<'):
				case ('='):
				case ('>'):
				case ('?'):
					break;
				case ('\0'):
					s[i] = ' ';
					end = 1;
					break;
				default:
					s[i] = 'Z';
					break;
				}
			}
		} else {
			s[i] = ' ';
		}
	}
	s[length] = '\0';

	return s;
}

char *unixchar(char *s, int length)
{
	int i;
	int end = 0;

	for (i = 0; i < length; i++) {
		if (end == 0) {
			if (s[i] == '\0') {
				s[i] = ' ';
				end = 1;
			}
		} else {
			s[i] = ' ';
		}
	}
	s[length] = '\0';

	return s;
}
