static char *rcsId = "$Header: /misc/hadaq/cvsroot/hadaq/rc.c,v 6.6 2003/05/14 13:54:45 muench Exp $";


#include <stdlib.h>
#include <lvme.h>

#include "rc.h"

int Rc_invariant(Rc *my)
{
	int retVal;
	int i;

	retVal = 1;
	if (my->lvme == NULL) {
		retVal = 0;
	}
	return retVal;
}

int conRc(Rc *my, const char *name, unsigned long vmeBase)
{
	if (NULL == (my->lvme = malloc(sizeof(LVme)))) {
		perror("malloc");
		exit(EXIT_FAILURE);
	}
	if (0 > conLVme(my->lvme, vmeBase, Rc_addrSpace, 0x09, 0, 0)) {
		free(my->lvme);
		return -1;
	}
	return 0;
}

void desRc(Rc *my)
{
	desLVme(my->lvme);
	free(my->lvme);
}
